package com.muyu.common.nacos.service;

import com.muyu.common.nacos.remote.NacosServerRemote;
import com.muyu.common.nacos.remote.req.ServiceListReq;
import com.muyu.common.nacos.remote.resp.ServiceListResp;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.common.nacos.service
 * @Project：cloud-common-nacos-remote
 * @name：NacosServiceService
 * @Date：2024/8/9 20:08
 */
public class NacosServiceService {

    @Resource
    private NacosServerRemote nacosServiceRemote;

    public List<String > nacosServerAllList(){
        List<String> serverList = new ArrayList<>();
        ServiceListResp serviceListResp = null;
        int pageNo = 0 , pageSize = 2;
        do{
            serviceListResp = nacosServiceRemote.serviceList(
                    ServiceListReq.builder()
                            .pageNo(++pageNo)
                            .pageSize(pageSize)
                            .build()
            );
            serverList.addAll(serviceListResp.getDoms());
        }while (serviceListResp.getCount() > pageNo * pageSize);
        return serverList;


    }

}
